flushPolicyHistory script error

tcandela
Valued Contributor II

In the JAMF scripts section one of the scripts i used in the past has a yellow warning that says 'Script contains invalid reference to /usr/sbin'

/usr/sbin/jamf flushPolicyHistory

what should i change it to say?

i removed the /usr/sbin/ but it still has the warning.

4 REPLIES 4

mm2270
Legendary Contributor II

Change it to /usr/local/bin/jamf
But if I recall, you might need to clear the warning itself manually, even after making the change. I don't think it clears by itself.

tcandela
Valued Contributor II

@mm2270 i made the change. how do i clear the warning?

i thought it would clear on it's own afterwards or after a little time passes.

mm2270
Legendary Contributor II

It's been so long since I saw any of those warnings that I don't exactly remember, but I thought there was some kind of "x" button on them or something like that. I would see if there's anything that looks like it might clear the message and try that if you find any.

Outside of that, you can try logging out of Jamf Pro and back in to see if they disappear. Maybe that's what was needed.

tcandela
Valued Contributor II

@mm2270 i also have the warning on one other script, here is the line

/usr/local/jamf/bin/jamf policy -id 115

so im assuming change it to ??

/usr/local/bin/jamf policy -id 115